[AppleTV2] ATV2 Install failure - SIZE MISMATCH

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
Numus Offline
Posting Freak
Posts: 828
Joined: May 2007
Reputation: 6
Post: #46
Nevermind was a putty paste error
(This post was last modified: 2011-01-23 07:06 by Numus.)
find quote
RoarinRow Offline
Junior Member
Posts: 25
Joined: Jan 2011
Reputation: 0
Post: #47
cagex Wrote:Try to type it with apt-get -f install org.xbmc.xbmc-atv2

the part (( -f )) dose the job for 4.1 Smile it worked for me like a charm

I'm getting the same error the (( - f )) didn't work for me Sad
find quote
pbjr Offline
Junior Member
Posts: 48
Joined: Dec 2008
Reputation: 0
Post: #48
Sorry, ignore.
find quote
f4stf0rw4rd Offline
Junior Member
Posts: 4
Joined: Jan 2011
Reputation: 0
Post: #49
pbjr Wrote:Hello, need some help too. Says I need "org.awkwardtv.whitelist"? Is that another apt source? I followed the wiki off the home page and it did not mention that step. I'm going to see if I can add it myself.

Thnx.

Code:
localhost:~ root# apt-get update
Hit http://apt.thebigboss.org stable Release.gpg
Hit http://apt.saurik.com tangelo-3.7 Release.gpg                                                                                  
Hit http://apt.thebigboss.org stable Release                                                                                          
Hit http://cydia.zodttd.com stable Release.gpg                                                                                        
Hit http://apt.modmyi.com stable Release.gpg                                                                                      
Hit http://apt.saurik.com tangelo-3.7 Release                                                                          
Ign http://mirrors.xbmc.org ./ Release.gpg                                                                              
Hit http://cydia.zodttd.com stable Release                                                                                
Get:1 http://apt.thebigboss.org stable/main Packages/DiffIndex [3756B]                                                              
Get:2 http://apt.modmyi.com stable Release [1328B]                                                                                  
Ign http://apt.saurik.com tangelo-3.7/main Packages/DiffIndex                                                                        
Get:3 http://cydia.zodttd.com stable/main Packages/DiffIndex [3756B]                                
Ign http://mirrors.xbmc.org ./ Release                                                              
Hit http://apt.saurik.com tangelo-3.7/main Packages
Get:4 http://apt.modmyi.com stable/main Packages/DiffIndex [3756B]
Ign http://mirrors.xbmc.org ./ Packages/DiffIndex                  
Hit http://mirrors.xbmc.org ./ Packages
Fetched 12.6kB in 2s (5694B/s)
Reading package lists... Done

Code:
localhost:~ root# apt-get install org.xbmc.xbmc-atv2
Reading package lists... Done
Building dependency tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  org.xbmc.xbmc-atv2: Depends: org.awkwardtv.whitelist but it is not installable
E: Broken packages

FIX: If anyone follows the wiki step by step including the links to JB, they don't mention this step to add this additional repo.

apt-get install wget
wget -O- http://apt.awkwardtv.org/awkwardtv.pub | apt-key add -
echo “deb http://apt.awkwardtv.org/ stable main” > /etc/apt/sources.list.d/awkwardtv.list
apt-get update

Now it's time to check it out!

Thanks!

Tried this after getting this error:
Code:
The following packages have unmet dependencies:
  org.xbmc.xbmc-atv2: Depends: org.awkwardtv.whitelist but it is not installable
E: Broken packages

now i get the following error when trying to install xbmc using the guide on http://wiki.xbmc.org/index.php?title=Ins...MC_on_ATV2
Code:
E: Type '.deb' is not known on line 1 in source list /etc/apt/sources.list.d/awkwardtv.list

anyone got a solution?
find quote
1981suede Offline
Junior Member
Posts: 28
Joined: Sep 2009
Reputation: 0
Post: #50
I had those exact problems. Ended up re-installing custom FW and re-jailbreaking and typing out the commands by hand. Unfortunately I'm not entirely sure what the problem was although I assume it was copy+paste problem.
(This post was last modified: 2011-01-28 14:24 by 1981suede.)
find quote
f4stf0rw4rd Offline
Junior Member
Posts: 4
Joined: Jan 2011
Reputation: 0
Post: #51
did a complete jailbreak from scratch again and typed everthing into terminal. xbmc is now running :-)
find quote
milli Offline
Senior Member
Posts: 211
Joined: Feb 2011
Reputation: 2
Post: #52
cagex Wrote:I am getting the same error

Errors were encountered while processing:
org.xbmc.xbmc-atv2
E: Sub-process /usr/bin/dpkg returned an error code (1)

I got this error on 4.2.1 but xbmc shows up in front row and running fine.
find quote
bblaze1874 Offline
Junior Member
Posts: 1
Joined: Feb 2011
Reputation: 0
Post: #53
oakland6980 Wrote:after i execute apt-get install org.xbmc.xbmc-atv2 it says lost host communication...then have to reconnect and doesnt install. using winSCP

Was this problem ever resolved? I am having the same issue and its driving me crazy.
find quote
riconster Offline
Banned
Posts: 9
Joined: Apr 2011
Post: #54
$ ssh root@<your ATV2 IP address>

root@<your ATV2 IP address>'s password: ''enter your password here, it should be "alpine" if you haven't changed it''

$ echo "deb http://apt.saurik.com/ tangelo-3.7 main">/etc/apt/sources.list.d/saurik.list

$ apt-get update
$ apt-get -f install org.xbmc.xbmc-atv2
find quote
Post Reply